| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Private Member Functions | List of all members
GaudiPython.Bindings.iToolSvc Class Reference
Inheritance diagram for GaudiPython.Bindings.iToolSvc:
[legend]
Collaboration diagram for GaudiPython.Bindings.iToolSvc:
[legend]

## Public Member Functions
def | __init__ (self, name, its)
def | retrieve (self, name)
def | create (self, typ, name=None, parent=None, interface=None)
def | release (self, itool)
Public Member Functions inherited from GaudiPython.Bindings.iService
def | __init__ (self, name, isvc=None)
def | retrieveInterface (self)
def | isValid (self)
Public Member Functions inherited from GaudiPython.Bindings.iProperty
def | __init__ (self, name, ip=None)
def | getInterface (self)
def | retrieveInterface (self)
def | __call_interface_method__ (self, ifname, method, args)
def | __setattr__ (self, name, value)
def | __getattr__ (self, name)
def | properties (self)
def | name (self)

## Public Attributes
| OutputLevel

## Private Member Functions
def | _retrieve (self, name, quiet=True)

## Additional Inherited Members
Static Public Attributes inherited from GaudiPython.Bindings.iService
| initialize = lambdaself:self.__call_interface_method__("_isvc","initialize")
| start = lambdaself:self.__call_interface_method__("_isvc","start")
| stop = lambdaself:self.__call_interface_method__("_isvc","stop")
| finalize = lambdaself:self.__call_interface_method__("_isvc","finalize")
| reinitialize = lambdaself:self.__call_interface_method__("_isvc","reinitialize")
| restart = lambdaself:self.__call_interface_method__("_isvc","restart")

## Detailed Description

Definition at line 575 of file Bindings.py.

## Constructor & Destructor Documentation

def GaudiPython.Bindings.iToolSvc.__init__ | ( |  | self,
|  |  | name,
|  |  | its
| ) |  |

Definition at line 576 of file Bindings.py.

576 def __init__(self, name, its) :
577 self.__dict__['_its'] = InterfaceCast(gbl.IToolSvc)(its)
578 iService.__init__(self, name, its)
GaudiPython.Bindings.InterfaceCast
Definition: Bindings.py:86
GaudiPython.Bindings.iToolSvc.__init__
def __init__(self, name, its)
Definition: Bindings.py:576

## Member Function Documentation

def GaudiPython.Bindings.iToolSvc._retrieve | ( |  | self,
|  |  | name,
|  |  | quiet = `True`
| ) |  |
| private

Definition at line 579 of file Bindings.py.

579 def _retrieve(self, name, quiet=True):
580 sol = _gaudi.OutputLevel
581 if quiet : self.OutputLevel = 6
582 if name.rfind('.') == -1 :
583 itool = Helper.tool(self._its, '', name, None, False )
584 elif name[0:8] == 'ToolSvc.' :
585 itool = Helper.tool(self._its, '', name[8:], None, False )
586 elif name.count('.') > 1 :
587 ptool = self._retrieve(name[:name.rfind('.')])
588 itool = Helper.tool(self._its, '', name[name.rfind('.')+1:], ptool, False )
589 elif _gaudi :
590 prop = _gaudi.property(name[:name.rfind('.')])
591 itool = Helper.tool(self._its, '', name[name.rfind('.')+1:], prop._ip, False )
592 if quiet : self.OutputLevel = sol
593 return itool
GaudiPython.Bindings.iToolSvc.OutputLevel
OutputLevel
Definition: Bindings.py:581
GaudiPython.Bindings.iToolSvc._retrieve
def _retrieve(self, name, quiet=True)
Definition: Bindings.py:579

def GaudiPython.Bindings.iToolSvc.create | ( |  | self,
|  |  | typ,
|  |  | name = `None`,
|  |  | parent = `None`,
|  |  | interface = `None`
| ) |  |

Definition at line 596 of file Bindings.py.

596 def create(self, typ, name=None, parent=None, interface=None) :
597 if not name : name = typ
598 itool = Helper.tool(self._its, typ, name, parent, True )
599 if interface :
600 return InterfaceCast(interface)(itool)
601 else :
602 return iAlgTool(name,itool)
GaudiPython.Bindings.InterfaceCast
Definition: Bindings.py:86
GaudiPython.Bindings.iToolSvc.create
def create(self, typ, name=None, parent=None, interface=None)
Definition: Bindings.py:596
GaudiPython.Bindings.iAlgTool
Definition: Bindings.py:338

def GaudiPython.Bindings.iToolSvc.release | ( |  | self,
|  |  | itool
| ) |  |

Definition at line 603 of file Bindings.py.

603 def release(self, itool) :
604 if type(itool) is iAlgTool :
605 self._its.releaseTool(itool._itool)
606
607 #----iJopOptSvc class-------------------------------------------------------------------
gaudirun.type
type
Definition: gaudirun.py:125
GaudiPython.Bindings.iToolSvc.release
def release(self, itool)
Definition: Bindings.py:603

def GaudiPython.Bindings.iToolSvc.retrieve | ( |  | self,
|  |  | name
| ) |  |

Definition at line 594 of file Bindings.py.

594 def retrieve(self, name):
595 return iAlgTool(name, self._retrieve(name,quiet=False))
GaudiPython.Bindings.iToolSvc._retrieve
def _retrieve(self, name, quiet=True)
Definition: Bindings.py:579
GaudiPython.Bindings.iToolSvc.retrieve
def retrieve(self, name)
Definition: Bindings.py:594
GaudiPython.Bindings.iAlgTool
Definition: Bindings.py:338

## Member Data Documentation

GaudiPython.Bindings.iToolSvc.OutputLevel

Definition at line 581 of file Bindings.py.

The documentation for this class was generated from the following file:

- GaudiPython/python/GaudiPython/Bindings.py